"""add To: to notification templates

Revision ID: 5aafb3c0172e
Revises: d6d6c2ffaa66
Create Date: 2021-08-05 14:46:56.428074

"""
from alembic import op
import sqlalchemy as sa


# revision identifiers, used by Alembic.
revision = '5aafb3c0172e'
down_revision = 'd6d6c2ffaa66'
branch_labels = None
depends_on = None


def upgrade():
    op.execute("""
    update notification_templates 
    set template = E'To: {{destination_email}}\n' || template 
    where template not like E'To: {{destination_email}}\n%'
    """)


def downgrade():
    op.execute("""
    update notification_templates 
    set template = regexp_replace(template, E'^To: {{destination_email}}\n', '') 
    where template like E'To: {{destination_email}}\n%'
    """)